
provider:
  name: hello-provider-service
server:
  port: 8082
spring:
  application:
    name: hello-consumer-service
  cloud:
     nacos:
        discovery:
           server-addr: 127.0.0.1:8848
management:
  endpoints:
     web:
       exposure:
         include: '*'
logging:
  level:
    demo:
      helloconsumer:
        HelloFeignService: DEBUG
feign:
  client:
    config:
      default:
        connectTimeout: 1000
        readTimeout: 5000
    #  hello-provider-service:
    #     connectTimeout: 1000
    #     readTimeout: 5000
  compression:
      request:
         enabled: true
         mime-types: text/xml,application/xml,application/json
         min-request-size: 2048
      response:
         enabled: true
  sentinel:
    enabled: true